@font-face {
  font-family: "hand";
  src: url("../../../assets/font/handwriting.woff") format("woff");
}

body {
  font-family: Arial;
  color: #131414;
  background-color: #c7d2e3;
  padding: 0px;
  margin: 0px;
  scrollbar-width: thin;
}

h1,h2,h3,h4,h5,h6,p {
  padding: 0px;
  margin: 0px;
}

#page {
	display: block;
	color: #131414;
	width: 950px;
	margin: auto;
}

#bottom {
	transform-origin: bottom;
}

#top {
	transform-origin: top;
}

.side {
	display: block;
	flex-direction: column;
	background-size: cover;
	width: 950px;
	box-sizing: border-box;
	padding-top: 16px;
	position: relative;
}

.side#top {
  padding-top: 64px;
}

nav {
	display: flex;
	align-content: start;
	padding: 8px;
	border-radius: 36px;
	margin: 8px -8px;
	overflow-y: scroll;
}

.nav-item {
  display: flex;
	color: #f6f6f6;
	background-color: #131414;
	padding: 16px;
	border-radius: 8px;
	transition: 0.1s;
	font-family: hand;
	font-size: 1.25rem;
	letter-spacing: -0.1em;
	margin-right: 10px;

	&:hover {
	  padding-left: 30px;
	  padding-right: 30px;
		background-color: #295969;
		position: relative;
		.nav-icon {color: #ffffff}
	}

	&:active {
		background-color: #0967f9;
		color: #131414;
		letter-spacing: -0.12em;
		transition: 0.1s;
	}
}

#entry {
	padding: 16px 40px;
	margin-inline: -16px;
	overflow-x: scroll;
	height: 350px;
	flex: 1;
}

main {
  font-size: 16px;
	line-height: 1.2;
	text-align: justify;
	hyphens: auto;
	p:not(:first-child) {text-indent: 1.5em}
	p:first-child {font-weight: bolder;}
}

#entry-title {
  font-weight: bold;
	font-family: hand;
	margin-bottom: 1em;
	position: sticky;
	background: #c7d2e3;
	top:-16px;
	border-bottom: 1px solid #888;
	z-index: 5;
}

#entry-name {
  font-weight: bolder;
	letter-spacing: -0.05em;
	font-size: 2.5em;
	line-height: 1;
	word-break: break-word;
	margin-block: -0.125em 0.125em;
	flex: 1;
}

#entry-author {
	font-size: 1.5em;
	letter-spacing: -0.1em;
	padding: 0px;
	color: #505050;
}

#entry-date {
	font-size: 1.5em;
	letter-spacing: -0.1em;
	margin-block: 0;
}

h3, h4 {
	font: 1.5em/1 hand;
	text-align: left;
	margin-block: 2em 1em;
}

h4 {
	font-size: 1em;
}

/* entry inline */

#entry a {
	color: #1a4176;
	text-decoration: underline;
}

b {
	font: 900 0.9em/2 hand;
	font-size: 20px;
	font-weight: bolder;
	margin: 0px;
	padding: 0px;
	position: relative;
	line-height: 1em;
	z-index: 0;
	display: block;
}
.spaced {
  line-height: 2.5em;
}
.text-spaced {
  letter-spacing: 0.3rem;
}

/* entry block */

p, ul, ol, figcaption {
	padding-bottom: 0.5rem;
}

ul, ol {
	padding-left: 1.5em;
}
ul {
	list-style-type: "-";
}
li {
	padding-left: 1em;

	&::marker {
		color: #000000;
		font-size: 0.75em;
	}
}

hr {
  border: 1px solid #888;
}

aside {
	font-size: 0.75em;
	background-color: #c4452620;
	padding: 1em;
	border-radius: 4px;
	margin-block: 2rem;
}

details {
	margin-block: 2em;

	&[open] {
		padding: 1em;
		border-block: 1px dotted;
		margin-top: calc(3em - 1px);

		summary {
			margin-top: -2em;
			margin-left: -1em;
			background-color: var(--button);
		}
	}
}

summary {
	max-width: max-content;
	padding: 0.25em 1em;
	border: 1px dotted;
	border-radius: 1em;

	&:hover {background-color: var(--button)}
}

blockquote {
	padding: 0.5em 1em;
	border-left: 1px dotted;
	margin: 1em 0;
	border-radius: 4px;
}

pre {
	color: var(--white);
	tab-size: 4;
	background-color: var(--black);
	border: 1em solid var(--black);
	border-radius: 4px;
	margin-block: 2em;
	overflow: auto hidden;
}

aside,
blockquote,
details {
	> *:first-child {margin-top: 0}
	> *:last-child {margin-bottom: 0}
}

dl {
	margin-block: 2em;
}
dt {
	font: bold 0.9em sans-serif;
	margin-top: 1em;
}
dd {
	margin-left: 1em;
}

/* entry embeds */

#entry img {
	max-width: 100%;
}

.emote {
	display: inline;
	vertical-align: 40%;
	margin-block: -10px;
	image-rendering: pixelated;
}

.photo {
	margin: 2em;

	iframe {
		width: calc(100% - 16px);
		padding: 8px;
		padding-bottom: 16px;
		box-shadow: 1px 2px 4px #00000040;
		background-color: #f6f1e7;
		image-rendering: auto;
	}

	iframe {
		height: 64px;
	}

	&:nth-of-type(even)::before {
		transform: scaleX(-1);
	}

	.flex & {margin-inline: 0}

	&:is(.float-left, .float-right)::before {scale: 0.75}

	&.bandcamp iframe, &.spotify iframe {
		width: calc(133.33% - 21.33px);
		height: 42px;
		padding: 10.67px;
		padding-bottom: 21.33px;
		scale: 0.75;
		transform-origin: top left;
	}
	&.bandcamp iframe {
		height: 42px;
		margin-bottom: -10.5px;
	}
	&.spotify iframe {
		height: 80px;
		margin-bottom: -20px;
	}
}

.caption {
	color: #201c10bf;
	font-size: 0.875em;
	text-align: center;
	margin: 0.5em
}

/* entry layout */

.float-left, .float-right {
	max-width: calc(50% - 1em);
	margin: 1em 0;
	position: relative;
	z-index: 1;
}
.float-left {float: left; clear: left; margin-right: 2em}
.float-right {float: right; clear: right; margin-left: 2em}

.grid {
	display: grid;
	grid-template-columns: 1fr 1fr;
}

.flex {
	display: flex;
	align-items: center;
	gap: 1em;

	.photo::before {scale: 0.75}
}

.scroll-x {
	padding-inline: 2em;
	margin-inline: -2em;
	overflow: auto hidden;
}

.columned {
	columns: 2;
	column-gap: 1em;
}

.photo2 {
		width: calc(100% - 16px);
		padding: 8px;
		padding-bottom: 16px;
		box-shadow: 1px 2px 4px #00000040;
		background-color: #f6f1e7;
		image-rendering: auto;
		margin-bottom: 10px;
		p:not(:first-child) {text-indent: 0em;font-family: hand;font-size: 1.4rem;font-weight: bold;line-height: 0.9rem;}
}

censor {
  background: black;
  color: white;
  padding: 1px;
}

.black-bg {
  color: white;
  background: #000;
  padding: 10px;
  margin-bottom: 25px;
}

.censor {
  background: black;
  color: black;
  padding: 1px;

  &::selection {
	color: black;
	background: black;
  }
}

.black-bg .censor {
	color: white;
	background: white;
	padding: 1px;
	font-family: monospace;

	&::selection {
		color: white;
		background: white;
	}
}

.mono {
	font-family: monospace;
}

#detective {
	color: #030522;
	letter-spacing: 0.05em;
	filter: drop-shadow(0 0 1px #ff0000) drop-shadow(0 0 4px #a00000);

	&::selection {
		filter: invert(1);
		color: #030522;
		background: #a4a1e1;
		letter-spacing: 0.05em;
		filter: drop-shadow(0 0 1px #ff0000) drop-shadow(0 0 4px #a00000);
	}
}

#supervisor-f {
	color: #2e2f46;
	filter: drop-shadow(0 0 2px #131325);
	font-family: monospace;

	&::selection {
		filter: invert(1);
		background: #a4a1e1;

		color: #030522;
		letter-spacing: 0.05em;
		filter: drop-shadow(0 0 1px #ff0000) drop-shadow(0 0 4px #a00000);
	}
}

#larri {
	color: #f50086;
    filter: drop-shadow(0 0 2px #270d1b);

	&::selection {
		filter: invert(1);
		background: #a4a1e1;
		color: #f50086;
    	filter: drop-shadow(0 0 2px #270d1b);
	}
}

#cherie {
	color: #0c233a;
	filter: drop-shadow(0 0 2px #5858e2);

	&::selection {
		filter: invert(1);
		background: #a4a1e1;
		color: #0c233a;
		filter: drop-shadow(0 0 2px #5858e2);
	}
}

#theboy {
	color: #000000;
	filter: drop-shadow(0 0 2px #0c0c0c);

	&::selection {
		filter: invert(1);
		background: #a4a1e1;

		color: #000000;
		filter: drop-shadow(0 0 2px #0c0c0c);
	}
}

#maki {
	color: #9107c7;
	filter: drop-shadow(0 0 2px #000000);
	font-family: verdana;

	&::selection {
		filter: invert(1);
		background: #a4a1e1;
		color: #9107c7;
		filter: drop-shadow(0 0 2px #000000);
		font-family: verdana;
	}
}

#unknown {
	color: #000000;
	filter: drop-shadow(0 0 1px #ffffff) drop-shadow(0 0 2px #a00000) drop-shadow(0 0 4px #000000);
	font-family: 'Times New Roman';

	&::selection {
		filter: invert(1);
		background: #a4a1e1;
		color: #000000;
		filter: drop-shadow(0 0 1px #ffffff) drop-shadow(0 0 2px #a00000) drop-shadow(0 0 4px #000000);
		font-family: 'Times New Roman';
	}
}